#!/usr/bin/perl -i
use strict;
use warnings;

my $file_in = $ARGV[0];

$^I = '.bak';
while (<>) {

    #Remove every extruding length information
    if (/M101/) {
        print "M106 ; Extrusion on\n";

    } elsif (/M103/) {
        print "M107 ; Extrusion off\n";

    } elsif (/M73/) {
        print "G21 ; Set units to millimeters\n",
            "G90 ; Use absolute coordinates\n",
            "M107 ; Extrusion off\n",
            "\n";

    } else {

        print;
    }
}

unlink $file_in . '.bak';
